Remove selected services from device

posthttps://app.mk.io/api/v1/projects/:project_name/fleet/devices/:name/removeServices

Removes selected services from a specific device. This clears all selected configurations from the device. Please ensure that any important configurations on the device are backed up first.

RBAC Capability Required: fleet.device.update

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

project_namestringRequired
namestringRequired

Request

This endpoint expects an object.

Loading schema details…

Response

202The non-flow services were successfully removed.

No response body.

Errors

400Bad Request

Loading schema details…

401Unauthorized

Loading schema details…

403Forbidden

Loading schema details…

404Not Found

Loading schema details…

409Conflict

Loading schema details…

429Too Many Requests

Loading schema details…

500Internal Server Error

Loading schema details…